Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jorphan.io
Class TextFile

    java.lang.Object
      java.io.File
          org.apache.jorphan.io.TextFile

All Implemented Interfaces:
  Comparable, Serializable

public class TextFile
extends File

Utility class to handle text files as a single lump of text.

Note this is just as memory-inefficient as handling a text file can be. Use with restraint.

Version:
  $Revision: 674365 $
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.io.File
`pathSeparator, pathSeparatorChar, separator, separatorChar`

Constructor Summary
`TextFile(File filename)` Create a TextFile object to handle the named file with the platform default encoding.
`TextFile(File filename, String encoding)` Create a TextFile object to handle the named file with the given encoding.
`TextFile(String filename)` Create a TextFile object to handle the named file with the platform default encoding.
`TextFile(String filename, String encoding)` Create a TextFile object to handle the named file with the given encoding.

Method Summary
`String` | `getEncoding()`
`String` | `getText()` Read the whole file content and return it as a string.
`void` | `setEncoding(String string)`
`void` | `setText(String body)` Create the file with the given string as content -- or replace it's content with the given string if the file already existed.

Methods inherited from class java.io.File
`canRead, canWrite, compareTo, compareTo, createNewFile, createTempFile, createTempFile, delete, deleteOnExit, equals, exists, getAbsoluteFile, getAbsolutePath, getCanonicalFile, getCanonicalPath, getName, getParent, getParentFile, getPath, hashCode, isAbsolute, isDirectory, isFile, isHidden, lastModified, length, list, list, listFiles, listFiles, listFiles, listRoots, mkdir, mkdirs, renameTo, setLastModified, setReadOnly, toString, toURI, toURL`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TextFile

    public TextFile(File filename,
                    String encoding)

  Create a TextFile object to handle the named file with the given encoding.

Parameters:
  `filename` - File to be read & written through this object.
  `encoding` - Encoding to be used when reading & writing this file.

### TextFile

    public TextFile(File filename)

  Create a TextFile object to handle the named file with the platform default encoding.

Parameters:
  `filename` - File to be read & written through this object.

### TextFile

    public TextFile(String filename)

  Create a TextFile object to handle the named file with the platform default encoding.

Parameters:
  `filename` - Name of the file to be read & written through this object.

### TextFile

    public TextFile(String filename,
                    String encoding)

  Create a TextFile object to handle the named file with the given encoding.

Parameters:
  `filename` - Name of the file to be read & written through this object.
  `encoding` - Encoding to be used when reading & writing this file.

Method Detail

### setText

    public void setText(String body)

  Create the file with the given string as content -- or replace it's content with the given string if the file already existed.

  Parameters:
    `body` - New content for the file.

### getText

    public String getText()

  Read the whole file content and return it as a string.

  Returns:
    the content of the file

### getEncoding

    public String getEncoding()

  Returns:
    Encoding being used to read & write this file.

### setEncoding

    public void setEncoding(String string)

  Parameters:
    `string` - Encoding to be used to read & write this file.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.